> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ntropy.com/documentation/api/webhooks/get-webhooks-v-3-webhooks-get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ntropy.com/_mcp/server. # List all webhooks GET https://api.ntropy.com/v3/webhooks List all webhooks Reference: https://docs.ntropy.com/documentation/api/webhooks/get-webhooks-v-3-webhooks-get ## Authentication - `X-Api-Key` header (required) — API Key authentication via header ## Response ### 200 Successful Response - `next_cursor` (string, required, nullable) - `data` (list of Webhook, required) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### Webhook - `url` (string, required) — The URL of the webhook - `events` (list of enum, required) — A list of events that this webhook subscribes to - Allowed values: `reports.resolved`, `reports.rejected`, `reports.pending`, `bank_statements.completed`, `bank_statements.error`, `batches.completed`, `batches.error` - `id` (string, required) — A generated unique identifier for the webhook - `created_at` (datetime, required) — The date and time when the webhook was created. - `enabled` (boolean, required) — Whether the webhook is enabled or not. - `token` (string, optional, nullable) — A secret string used to authenticate the webhook. This value will be included in the `X-Ntropy-Token` header when sending requests to the webhook ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Response** ```json { "next_cursor": "XjdHaksD", "data": [ { "url": "https://example.com:5689/", "events": [ "batches.completed", "batches.error" ], "id": "e94a150d-40af-4e96-8aa7-2948a6b4d8d3", "created_at": "2024-10-03T02:53:30.167953", "enabled": true, "token": "hunter2" } ] } ``` **SDK Code** ```python Python SDK from ntropy_sdk import SDK sdk = SDK(api_key) for webhook in sdk.webhooks.list().auto_paginate(): ... ``` ```javascript const url = 'https://api.ntropy.com/v3/webhooks'; const options = {method: 'GET', headers: {'X-Api-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.ntropy.com/v3/webhooks" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Api-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.ntropy.com/v3/webhooks") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Api-Key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.ntropy.com/v3/webhooks") .header("X-Api-Key", "") .asString(); ``` ```php request('GET', 'https://api.ntropy.com/v3/webhooks', [ 'headers' => [ 'X-Api-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.ntropy.com/v3/webhooks"); var request = new RestRequest(Method.GET); request.AddHeader("X-Api-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-Api-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.ntropy.com/v3/webhooks")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```